package com.cmvr.framework.websocket.message;

import lombok.Data;

@Data
public class WSMessage {
    private String type;
    private String sender;
    private long timestamp;


    public WSMessage() {
        this.sender = "system";
        this.timestamp = System.currentTimeMillis();
    }

    public WSMessage(String type) {
       this.type = type;
       this.sender = "system";
       this.timestamp = System.currentTimeMillis();
    }

    public WSMessage(String type, String sender) {
        this.type = type;
        this.sender = sender;
        this.timestamp = System.currentTimeMillis();
    }
}
